# std::is_empty< _Tp > Struct Template Reference
[Type Traits]

is_empty More...

Inheritance diagram for std::is_empty< _Tp >:

List of all members.

## Public Types

- typedef integral_constant
  < bool, __v > type
- typedef bool value_type

## Static Public Attributes

- static const bool value

## Detailed Description

### template<typename _Tp>
struct std::is_empty< _Tp >

is_empty

Definition at line 326 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits